Subject: [clisp-list] Compiling problems MacOS X

From: Ernesto Trajano de Lima <[email-masked]>
Date: Fri, 29 Jun 2001 15:34:05 -0300

Hi clispers,

I'm trying to compile clisp 2.26 on a mac with Mac OS X 10.0.4 installed (cc version 2.95.2), but I'm getting some
errors. Here is a description of the steps I did and the errors I'm getting:

1- setenv CONFIG_SHELL "/bin/bash"
2- $CONFIG_SHELL ./configure with-cc

After that I'm having the following error (only the last lines):

cc -O -traditional-cpp -I. -I../../../libiconv/src -I../include -I../../../libiconv/src/../include -I../lib
../../../libiconv/src/iconv.c ../lib/.libs/libiconv.a -o iconv
cd man && make all
make[1]: Nothing to be done for `all'.
if test -d tests; then cd tests && make all; fi
make[1]: *** No rule to make target `all'.  Stop.
make: *** [all] Error 2

Even with this error I have tried to continue, then I did (after cd with-cc/):

3- ./makemake > Makefile
4- make config.lisp

This command gave me the following answer:

cp -p ../src/cfgunix.lisp config.lisp
echo '(setq *clhs-root-default* "http://www.lisp.org/HyperSpec/")' >> config.lisp

I don't know if it is correct. I couldn't do "ulimit -S -s 8192" because this command doesn't exist in my system.
There is a "unlimit" command but the usage is different (and there is no man entry for that!!). I tried to follow
without the ulimit command: I removed "-O", "-O2" from the CC and CFLAGSand did:

5- make

The error here is:

/comment5 noreadline.d | ./ansidecl | ./varbrace > noreadline.c
cd gettext/intl && make -r CC='cc -traditional-cpp' CFLAGS='-W -Wswitch -Wcomment -Wpointer-arith -Wimplicit
-Wreturn-type -fomit-frame-pointer -Wno-sign-compare -DUNICODE' RANLIB='ranlib'
make[1]: *** No targets specified and no makefile found.  Stop.
make: *** [gettext/intl/libintl.a] Error 2

I don't know what else I can do. I'm a UNIX newbie and have very little knowledge of C. Can anybody help me or
point some docs where I can look for an answer?? I apologize for the long post!
 
Best regards,

Ernesto Trajano de Lima	
Master Degree Student in Computer Science

-------------------------------------------------------------------
 Analise Musical Orientada a Objetos Sonoros: Visite nosso sitio.
            
                 http://www.liaa.ch.ufpb.br/~gmt

           Sonic Object Oriented Musical Analysis: Visit us.
-------------------------------------------------------------------
************           I think, therefore iMac          ***********